xserver: Branch 'master' - 3 commits

Adam Jackson ajax at kemper.freedesktop.org
Wed Mar 14 19:38:49 UTC 2018


 .appveyor.yml                     |    2 +-
 .travis.yml                       |   34 +++++++++++++++++++---------------
 test/scripts/build-travis-deps.sh |    4 +++-
 test/scripts/build-travis-osx.sh  |   14 +++++++++++++-
 4 files changed, 36 insertions(+), 18 deletions(-)

New commits:
commit edf08bd654dcdf31da9a592513b218bbd9f64cc6
Author: Adam Jackson <ajax at redhat.com>
Date:   Wed Mar 14 12:10:27 2018 -0400

    appveyor: Switch to xorgproto
    
    Also build with -j2, the builder VM has two cores.
    
    Signed-off-by: Adam Jackson <ajax at redhat.com>

diff --git a/.appveyor.yml b/.appveyor.yml
index c638d2320..f4bd68b11 100644
--- a/.appveyor.yml
+++ b/.appveyor.yml
@@ -11,7 +11,7 @@ install:
 - if "%BUILD%"=="i686-pc-cygwin" set SETUP=setup-x86.exe && set CYGWIN_ROOT=C:\cygwin
 - curl -fsSL https://gist.githubusercontent.com/jon-turney/0338af595313f598bfab15a0ac0df847/raw/bd0eeca6be899e7846aa988fbcf15e4e12f5f842/zp_libtool_cleanlafiles.sh -o %CYGWIN_ROOT%\etc\postinstall\zp_libtool_cleanlafiles.sh
 - echo Updating Cygwin and installing build prerequisites
-- '%CYGWIN_ROOT%\%SETUP% -qnNdO -R "%CYGWIN_ROOT%" -s "%CYGWIN_MIRROR%" -l "%CACHE%" -g -P "autoconf,automake,binutils,bison,bzip2,diffutils,fileutils,findutils,flex,gawk,gcc-core,libtool,make,patch,pkg-config,python3,sed,tar,bigreqsproto,compositeproto,damageproto,dmxproto,fixesproto,fontsproto,glproto,inputproto,kbproto,presentproto,randrproto,recordproto,renderproto,resourceproto,scrnsaverproto,windowsdriproto,xcmiscproto,xextproto,xf86bigfontproto,xineramaproto,xproto,libdmx-devel,libfontenc-devel,libfreetype-devel,libGL-devel,libpixman1-devel,libX11-devel,libXRes-devel,libXau-devel,libXaw-devel,libXdmcp-devel,libXext-devel,libXfont2-devel,libXi-devel,libXinerama-devel,libXmu-devel,libXpm-devel,libXrender-devel,libXtst-devel,libxcb-ewmh-devel,libxcb-icccm-devel,libxcb-image-devel,libxcb-keysyms-devel,libxcb-randr-devel,libxcb-render-devel,libxcb-render-util-devel,libxcb-shape-devel,libxcb-util-devel,libxcb-xkb-devel,libxkbfile-devel,zlib,font-util,khronos-opengl-registry,python3
 -lxml,xorg-util-macros,xtrans,xkbcomp,xkeyboard-config"'
+- '%CYGWIN_ROOT%\%SETUP% -qnNdO -R "%CYGWIN_ROOT%" -s "%CYGWIN_MIRROR%" -l "%CACHE%" -g -P "autoconf,automake,binutils,bison,bzip2,diffutils,fileutils,findutils,flex,gawk,gcc-core,libtool,make,patch,pkg-config,python3,sed,tar,xorgproto,libdmx-devel,libfontenc-devel,libfreetype-devel,libGL-devel,libpixman1-devel,libX11-devel,libXRes-devel,libXau-devel,libXaw-devel,libXdmcp-devel,libXext-devel,libXfont2-devel,libXi-devel,libXinerama-devel,libXmu-devel,libXpm-devel,libXrender-devel,libXtst-devel,libxcb-ewmh-devel,libxcb-icccm-devel,libxcb-image-devel,libxcb-keysyms-devel,libxcb-randr-devel,libxcb-render-devel,libxcb-render-util-devel,libxcb-shape-devel,libxcb-util-devel,libxcb-xkb-devel,libxkbfile-devel,zlib,font-util,khronos-opengl-registry,python3-lxml,xorg-util-macros,xtrans,xkbcomp,xkeyboard-config"'
 - echo Install done
 cache:
 - C:\cache
commit 8f628033bed408c4de215ca117fa2fa2d9f9d5cd
Author: Adam Jackson <ajax at redhat.com>
Date:   Wed Mar 14 12:54:16 2018 -0400

    travis: Update OSX build
    
    Install and use xorgproto, and build with optimization as clang has
    warnings that only work above -O0. Also expand the build matrix for both
    Xcode 8.3 and 9.2. Both images are OSX 10.12 at the moment so this is
    really just a way to test with clang 8 vs 9.
    
    Signed-off-by: Adam Jackson <ajax at redhat.com>

diff --git a/.travis.yml b/.travis.yml
index 313234875..86b61f01c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -8,6 +8,11 @@ matrix:
       services: docker
       env: DISTRO=rawhide:v3
     - os: osx
+      osx_image: xcode9.2
+      env: DISTRO=xcode9.2
+    - os: osx
+      osx_image: xcode8.3
+      env: DISTRO=xcode8.3
 
 install:
     - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then HOMEBREW_NO_AUTO_UPDATE=1 brew install ccache ; fi
diff --git a/test/scripts/build-travis-osx.sh b/test/scripts/build-travis-osx.sh
index 86e96e0c5..6f3f9f3a7 100755
--- a/test/scripts/build-travis-osx.sh
+++ b/test/scripts/build-travis-osx.sh
@@ -1,5 +1,8 @@
 #!/bin/sh
 
+set -e
+set -x
+
 #
 # based on instructions for building xorg-server in https://www.xquartz.org/Developer-Info.html
 #
@@ -15,7 +18,7 @@ hdiutil detach /Volumes/XQuartz-${XQUARTZ_VERSION}
 export PATH="/opt/X11/bin:${PATH}"
 export PKG_CONFIG_PATH="/opt/X11/share/pkgconfig:/opt/X11/lib/pkgconfig:${PKG_CONFIG_PATH}"
 export ACLOCAL="aclocal -I /opt/X11/share/aclocal -I /usr/local/share/aclocal"
-export CFLAGS="-Wall -O0 -ggdb3 -arch i386 -arch x86_64 -pipe"
+export CFLAGS="-Wall -O2 -ggdb3 -arch i386 -arch x86_64 -pipe"
 export CXXFLAGS=$CFLAGS
 export OBJCFLAGS=$CFLAGS
 export LDFLAGS=$CFLAGS
@@ -23,6 +26,15 @@ export LDFLAGS=$CFLAGS
 # travis currently requires explicit ccache setup on OSX
 export PATH="/usr/local/opt/ccache/libexec:$PATH"
 
+# need newer xorgproto
+pushd $HOME
+git clone git://anongit.freedesktop.org/git/xorg/proto/xorgproto
+cd xorgproto
+autoreconf -fvi
+./configure --prefix=/opt/X11
+sudo make install
+popd
+
 # build
 autoreconf -fvi
 ./configure --prefix=/opt/X11 --disable-dependency-tracking --with-apple-application-name=XQuartz --with-bundle-id-prefix=org.macosforge.xquartz
commit 1ca092f990e67c7dccf5790a72c41e84711c28a8
Author: Adam Jackson <ajax at redhat.com>
Date:   Wed Mar 14 13:13:54 2018 -0400

    travis: Switch linux build from stretch to rawhide
    
    Stretch's Mesa is too far behind, and building Mesa to build xserver is
    not the sort of problem we're trying to solve here. But our Travis
    scripts run inside a docker image, and that image can be whatever, so
    since I have to keep rawhide building anyway let's switch to that for
    now. The dockerfile can be found at:
    
    https://github.com/nwnk/xserver-travis
    
    The $DISTRO part of the change is foreshadowing for the day we readd a
    (probably sid-based) debian image; patches for other environments are
    welcome.
    
    Signed-off-by: Adam Jackson <ajax at redhat.com>

diff --git a/.travis.yml b/.travis.yml
index 81ca9e70a..313234875 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -2,24 +2,23 @@ language: c
 cache: ccache
 
 matrix:
- include:
-   - os: linux
-     dist: trusty
-     services: docker
-   - os: osx
-
-before_install:
-  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then docker pull anholt/xserver-travis ; fi
+  include:
+    - os: linux
+      dist: trusty
+      services: docker
+      env: DISTRO=rawhide:v3
+    - os: osx
 
 install:
-  - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then HOMEBREW_NO_AUTO_UPDATE=1 brew install ccache ; fi
+    - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then HOMEBREW_NO_AUTO_UPDATE=1 brew install ccache ; fi
 
 before_script:
-  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then echo FROM anholt/xserver-travis:v7 > Dockerfile ; fi
-  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then echo ADD . /root >> Dockerfile ; fi
-  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then docker build -t withgit . ; fi
+    - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then docker pull nwnk/xserver-travis-$DISTRO ; fi
+    - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then echo FROM nwnk/xserver-travis-$DISTRO > Dockerfile ; fi
+    - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then echo ADD . /root >> Dockerfile ; fi
+    - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then docker build -t withgit . ; fi
 
 script:
-  - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then docker run --volume $HOME/.ccache:/root/.ccache withgit /bin/sh -c "cd /root && ./test/scripts/build-travis-deps.sh" ; fi
-  - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then ./test/scripts/build-travis-osx.sh ; fi
-  - ccache -s
+    - if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then docker run --volume $HOME/.ccache:/root/.ccache withgit /bin/sh -c "cd /root && ./test/scripts/build-travis-deps.sh" ; fi
+    - if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then ./test/scripts/build-travis-osx.sh ; fi
+    - ccache -s
diff --git a/test/scripts/build-travis-deps.sh b/test/scripts/build-travis-deps.sh
index b87c65d3e..42837c2c8 100755
--- a/test/scripts/build-travis-deps.sh
+++ b/test/scripts/build-travis-deps.sh
@@ -6,7 +6,9 @@ export PIGLIT_DIR=$TRAVIS_BUILD_DIR/piglit
 export XTEST_DIR=$TRAVIS_BUILD_DIR/xtest
 
 set -e
+set -x
 
-meson --prefix=/usr build/
+meson setup build/
+meson configure -Dprefix=$PREFIX build/
 ninja -C build/ install
 ninja -C build/ test


More information about the xorg-commit mailing list